Package com.destroystokyo.paper.event.executor.asm

# Interface ClassDefiner

All Known Implementing Classes:
  `SafeClassDefiner`

public interface ClassDefiner

## Method Summary

Modifier and Type
Method
Description
`@NotNull Class<?>`
`defineClass(@NotNull ClassLoader parentLoader, @NotNull String name, @org.jetbrains.annotations.NotNull byte[] data)`
Define a class
`static @NotNull ClassDefiner`
`getInstance()`
`default boolean`
`isBypassAccessChecks()`
Returns if the defined classes can bypass access checks

## Method Details

### isBypassAccessChecks

default boolean isBypassAccessChecks()
Returns if the defined classes can bypass access checks

Returns:
  if classes bypass access checks

### defineClass

@NotNull @NotNull Class<?> defineClass(@NotNull @NotNull ClassLoader parentLoader, @NotNull @NotNull String name, @NotNull @org.jetbrains.annotations.NotNull byte[] data)
Define a class

Parameters:
  `parentLoader` - the parent classloader
  `name` - the name of the class
  `data` - the class data to load
Returns:
  the defined class
Throws:
  `ClassFormatError` - if the class data is invalid
  `NullPointerException` - if any of the arguments are null

### getInstance

@NotNull static @NotNull ClassDefiner getInstance()